Last Comment Bug 717504 - Intermittent test_overlapping_transactions.js | test failed (with xpcshell return code: -2147483645) from ###!!! ASSERTION: Huh?!: '!mThreadIsShuttingDown'
: Intermittent test_overlapping_transactions.js | test failed (with xpcshell re...
Status: RESOLVED FIXED
: assertion, intermittent-failure
Product: Core
Classification: Components
Component: DOM (show other bugs)
: 11 Branch
: x86 Windows XP
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 717190
Blocks: 438871
  Show dependency treegraph
 
Reported: 2012-01-11 19:39 PST by Phil Ringnalda (:philor)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Phil Ringnalda (:philor) 2012-01-11 19:39:49 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=8496562&tree=Profiling
Rev3 WINNT 5.1 profiling debug test xpcshell on 2012-01-11 18:20:43 PST for push 9acb534ee67e

TEST-INFO | c:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | running test ...
TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | test failed (with xpcshell return code: -2147483645), see following log:
>>>>>>>
...
TEST-PASS | (xpcshell/head.js) | 302 (+ 0) check(s) passed

TEST-INFO | (xpcshell/head.js) | 0 check(s) todo
###!!! ASSERTION: Huh?!: '!mThreadIsShuttingDown', file e:/builds/moz2_slave/profiling-w32-dbg/build/xpcom/threads/LazyIdleThread.cpp, line 286
nsStringStats
 => mAllocCount:           6191
 => mReallocCount:          144
 => mFreeCount:            3954  --  LEAKED 2237 !!!
 => mShareCount:           9817
 => mAdoptCount:             68
 => mAdoptFreeCount:         66  --  LEAKED 2 !!!
xul!XRE_AddJarManifestLocation+0x000000000000B214
xul!XRE_AddJarManifestLocation+0x0000000000008A75
xul!XRE_AddJarManifestLocation+0x0000000000008BB7
xul!XRE_AddJarManifestLocation+0x000000000000504D
xul!JSD_GetValueForObject+0x0000000000233F43
xul!XRE_AddJarManifestLocation+0x0000000000004D8E
xul!XRE_AddJarManifestLocation+0x000000000000AEE3
xul!XRE_AddJarManifestLocation+0x000000000000B112
xul!mozilla::scache::PathifyURI+0x00000000004E07A2
xul!NS_CStringSetDataRange_P+0x000000000000C2B6
xul!NS_CStringSetDataRange_P+0x000000000000C739
xul!NS_InitXPCOM+0x0000000000000112
0x0000000000406ED7
0x000000000040C146
0x000000000040BF9D
kernel32!RegisterWaitForInputIdle+0x0000000000000049
###!!! ASSERTION: Huh?!: '!mThreadIsShuttingDown', file e:/builds/moz2_slave/profiling-w32-dbg/build/xpcom/threads/LazyIdleThread.cpp, line 286
<<<<<<<
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | application crashed (minidump found)
Crash dump filename: c:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\36af0d57-ded6-4ffd-a42d-495f51e14d5c.dmp
Operating system: Windows NT
                  5.1.2600 Service Pack 2
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_BREAKPOINT
Crash address: 0x2471243

Thread 0 (crashed)
 0  mozalloc.dll!mozalloc_abort(char const * const) [mozalloc_abort.cpp:9acb534ee67e : 77 + 0x0]
    eip = 0x02471243   esp = 0x0012f738   ebp = 0x0012f740   ebx = 0x00000000
    esi = 0x10229380   edi = 0x102a18b0   eax = 0x00000000   ecx = 0x7445ca39
    edx = 0x10313d18   efl = 0x00000202
    Found by: given as instruction pointer in context
 1  xul.dll!NS_DebugBreak_P [nsDebugImpl.cpp:9acb534ee67e : 375 + 0xc]
    eip = 0x0105f97b   esp = 0x0012f748   ebp = 0x0012fb60
    Found by: call frame info
 2  xul.dll!mozilla::LazyIdleThread::ShutdownThread() [LazyIdleThread.cpp:9acb534ee67e : 286 + 0x1b]
    eip = 0x0105db0f   esp = 0x0012fb68   ebp = 0x0012fbcc
    Found by: call frame info
 3  xul.dll!mozilla::LazyIdleThread::Notify(nsITimer *) [LazyIdleThread.cpp:9acb534ee67e : 490 + 0x7]
    eip = 0x0105df0a   esp = 0x0012fbd4   ebp = 0x0012fbe8   ebx = 0x00000000
    Found by: call frame info
 4  xul.dll!nsTimerImpl::Fire() [nsTimerImpl.cpp:9acb534ee67e : 431 + 0x6]
    eip = 0x0105b76b   esp = 0x0012fbf0   ebp = 0x0012fc38   ebx = 0x00000001
    Found by: call frame info
 5  xul.dll!nsTimerEvent::Run() [nsTimerImpl.cpp:9acb534ee67e : 524 + 0xe]
    eip = 0x0105b8ad   esp = 0x0012fc40   ebp = 0x0012fc58   ebx = 0x00000000
    Found by: call frame info
 6  xul.dll!nsThread::ProcessNextEvent(bool,bool *) [nsThread.cpp:9acb534ee67e : 660 + 0xd]
    eip = 0x01057d43   esp = 0x0012fc60   ebp = 0x0012fc8c
    Found by: call frame info
Comment 1 Gabor Krizsanits [:krizsa :gabor] 2012-01-12 02:21:48 PST
I think this will be fixed by the patch I sent here: bug 717190
Comment 2 Treeherder Robot 2012-01-14 15:09:13 PST
philor
https://tbpl.mozilla.org/php/getParsedLog.php?id=8555583&tree=Mozilla-Inbound
Rev3 WINNT 5.1 mozilla-inbound debug test xpcshell on 2012-01-14 13:53:58

TEST-UNEXPECTED-FAIL | c:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | c:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | application crashed (minidump found)
Thread 0 (crashed)
Comment 3 Olli Pettay [:smaug] (way behind * queues, especially ni? queue) 2012-01-21 09:44:18 PST
This is really annoying. Any changes to CC handling seems to trigger this.
Comment 4 Treeherder Robot 2012-02-03 01:03:52 PST
ttaubert
https://tbpl.mozilla.org/php/getParsedLog.php?id=9046997&tree=Fx-Team
Rev3 WINNT 5.1 fx-team debug test xpcshell on 2012-02-02 15:05:06

TEST-UNEXPECTED-FAIL | C:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | test failed (with xpcshell return code: -2147483645), see following log:
PROCESS-CRASH | C:\talos-slave\test\build\xpcshell\tests\dom\indexedDB\test\unit\test_overlapping_transactions.js | application crashed (minidump found)
Thread 0 (crashed)

Note You need to log in before you can comment on or make changes to this bug.